// Import the original Berry Tripper cap and center it at origin.
//
module centered_cap() {
   translate([-34.65,0,0])
      import("bowden_cap.stl");
}

// Modify the cap piece to take the plastic bowden insert with the metal
// teeth (which needs a 12mm hole 7mm deep).
//
module plastic_cap() {
   translate([0,0,4])
   difference() {
      union() {
         centered_cap();
         translate([0,0,-4])
            cylinder(r=18.3/2,h=4.01,$fn=64);
      }
      translate([0,0,-5])
         cylinder(r=12/2,h=8,$fn=64);
   }
}

// Modify the cap piece to take the metal  bowden insert
// (which needs a 8mm hole 6mm deep). I believe I can print some
// sort of thin lip on the bottom (which will be the top) for the
// metal insert to seat against, then epoxy it in place. Might be nicer
// than the plastic insert.
//
module metal_cap() {
   translate([0,0,3])
   difference() {
      union() {
         centered_cap();
         translate([0,0,-3])
            cylinder(r=18.3/2,h=3.01,$fn=64);
      }
      translate([0,0,-8])
         cylinder(r=8/2,h=11,$fn=64);
   }
}
