// Preview for a pulley with a belt wrapped around it.

// Utility routine to make a wedge shaped segment of a cylinder
//
module wedge(height, radius, angle) {
   step=angle/10;

   difference() {
      cylinder(h=height,r=radius,$fn=64);
      translate([0,0,-1])
         union() {
            for (i=[0:9]) {
               linear_extrude(height=height+2)
                  polygon([[0,0],
                           [(radius+10)*cos(i*step),
                            (radius+10)*sin(i*step)],
                           [(radius+10)*cos((i+1)*step),
                            (radius+10)*sin((i+1)*step)]]);
            }
         }
   }
}

// Draw the pulley with the belt wrapped around it by angle degrees
//
module pulley_and_belt(
   pulley_od, pulley_id, pulley_thick, belt_thick, belt_color, angle) {

   union() {
      // First build the belt part
      color(belt_color)
         difference() {
            cylinder(r=(pulley_od+2*belt_thick)/2, h=pulley_thick, $fn=64);
            translate([0,0,-1])
               cylinder(r=pulley_od/2, h=pulley_thick+2, $fn=64);
            translate([0,0,-1])
               wedge(pulley_thick+2, 2+(pulley_od+2*belt_thick)/2, angle);
         }
      // Then stick the pulley inside the belt
      color("silver")
         difference() {
            cylinder(r=(pulley_od/2), h=pulley_thick, $fn=64);
            translate([0,0,-1])
               cylinder(r=(pulley_id/2), h=pulley_thick+2, $fn=64);
         }
   }
}
