// Print a bunch of standoffs for the smoothieboard mount. Since the mount
// curled up a bit at the end, print several different thicknesses so I
// can pick the ones that hold the board level.

module standoff(thick) {
   difference() {
      cylinder(r=6.5/2, h=thick, $fn=64);
      translate([0,0,-1])
         cylinder(r=3.2/2, h=thick+2, $fn=64);
   }
}

for (i = [0 : 5] ) {
   for (j = [0 : 4] ) {
      translate([8*i, 8*j, 0]) standoff(3 + 0.1*i);
   }
}
