// YIKES! Here's an interesting note: Not all my aluminum is the same! The
// top and bottom appear to be (cheaper) t-slot rails without the v shaped
// area for wheels to ride in. This means if I want a thing to insert in
// these rails I need this (manually crafted with many trials) insert
// instead of the v-slot version.
//
// This version still needs a bit of filing to knock down the tips of
// the "wings" which tend to curl up a bit, but it is very easy to file it so
// much that it will rattle around, so don't get carried away.
//
// I should probably investigate cutting a slot almost all the way through
// it where I could wedge the item I want to insert (but that's a separate
// experiment).

tslot_high=6;
tslot_wide=5.89;

module tslot_insert() {
   scale([.95,.95,.95])
   difference() {
      intersection() {
         translate([0,0,6])
         union() {
            rotate_extrude(angle=360,$fn=64)
            projection(cut=true)
            difference() {
               rotate([-90,0,0])
               translate([0,0,-2])
               difference() {
                  translate([-10,-9,-4.01])
                     cube([20,18,6.3]);
                  difference() {
                     translate([-10,-10,0])
                        cube([20,20,2.3]);
                     translate([-6.2/2,-22/2,-1])
                        cube([6.2,22,4]);
                  }
                  translate([-10,-10,-6.3])
                     cube([20,20,2]);
                  translate([6.2/2,-10,-4])
                     rotate([0,45,0])
                        cube([20,20,20]);
                  translate([-6.2/2,-10,-4])
                     rotate([0,-45,0])
                        translate([-20,0,0])
                        cube([20,20,20]);
               }
               translate([-25,-25/2,-25/2])
                  cube([25,25,25]);
               }
         }
         translate([-6.2/2,-10,-1])
            cube([6.2,20,9]);
         cylinder(r=6,h=10,$fn=64);
      }
      translate([-2/2,-8.5,-1])
         cube([2,4,10]);
      mirror([0,1,0])
         translate([-2/2,-8.5,-1])
            cube([2,4,10]);
   }
}
