// An insert for a v-slot rail with a cable tie on top of it. Insert in slot,
// turn 90 degrees to wedge in place, and insert wire tie.

// A test print I made worked pretty well, but when I printed 16 of these
// I need to file down the bottom and places on the the top that curled up.
// Maybe I should print them a bit shorter?

include <tslot-insert.scad>

// Actual measured dimensions of the wire ties I have (I'll want
// to addin some slop for sure).
//
wire_tie_thick=1.15*1.40;
wire_tie_wide=2.71*1.30;

module tslot_wire_tie() {
   union() {
      tslot_insert();
      translate([0,0,tslot_high-0.05])
         intersection() { 
            difference() {
               translate([-(wire_tie_wide+4)/2, -tslot_wide/2, 0])
                  cube([wire_tie_wide+4,tslot_wide,wire_tie_thick+2]);
               translate([-wire_tie_wide/2,-(tslot_wide+2)/2,0.3])
                  cube([wire_tie_wide,tslot_wide+2,wire_tie_thick,]);
            }
            cylinder(r1=tslot_wide/2,r2=(wire_tie_wide+4)/2,
                     h=wire_tie_thick+2,$fn=64);
         }
   }
}

// Make an array of 16 for printing lots at once.
//
module tslot_wire_tie_16() {
   for (i=[0 : 12 : 36]) {
      for (j=[0 : 13 : 39]) {
         translate([i,j,0])
            tslot_wire_tie();
      }
   }
}

tslot_wire_tie_16();
