// Use the generic v-slot insert shape to make a piece that can hold
// wires down inside a vslot. Punch a hole through the base near
// the widest spot to allow wires to be run through, and add a screw
// driver slot on top for turning the holder into place.

include <vslot-insert.scad>

module wire_slot () {
   sdw=1.1;
   sdd=0.8;
   rad=2.7;
   translate([0,0,5.34/2])
   rotate([90,0,0])
   difference() {
      // Start with the vslot insert piece
      vslot_insert_base();
      // Subtract oval through biggest part for wires to be threaded through
      translate([0,5,(rad/2)+1])
         rotate([90,0,0])
            scale([1,0.6,1]) {
               cylinder(r=rad,h=10,$fn=64);
      }
      // subtract slot in top for screwdriver
      translate([-1.1/2,-5,5.87-sdd])
         cube([1.1,10,3]);
   }
}

// They are small, might as well print 16 at once.
for (i = [0 : 12 : 36]) {
   for (j = [0 : 9 : 27]) {
      translate([i,j,0])
         wire_slot();
   }
}
